package com.jeequan.jeepay.core.model.openapi.biz.h5;

import com.alibaba.fastjson.JSONObject;
import com.jeequan.jeepay.core.entity.PayOrder;
import com.jeequan.jeepay.core.model.openapi.biz.PayResultResp;
import com.jeequan.jeepay.core.model.rqrs.msg.ChannelJsapiMsg;
import lombok.Data;
import lombok.Getter;
import lombok.Setter;

/**
 * TODO
 * jsapi 返回参数封装
 * @author crystal
 * @date 2024/4/8 10:51
 */
@Getter
@Setter
public class H5BizResp extends PayResultResp {

    private JSONObject payInfo;

    public H5BizResp(PayOrder order, String payUrl) {
        super(order);
        JSONObject payInfo =  new JSONObject();
        payInfo.put("payUrl",payUrl);
        this.payInfo = payInfo;
    }
}
